<?php

/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package logbook-wp-pro
 */
trait footerTrait
{
    // Footer Top
    public static function axil_footer()
    {
        $themepfix = LOGBOOK_WP_PRO_THEME_FIX;
        $logbook_wp_pro_options = self::axil_get_options();
        $condipfix = self::layout_settings();
        $footer = get_post_meta(get_the_ID(), $themepfix . "_footer_area", true);
        $footer = (empty($footer) || $footer == 'default') ? $logbook_wp_pro_options['footer_area'] : $footer;
        return $footer;
    }

    // footer style
    public static function axil_footer_style()
    {
        $themepfix = LOGBOOK_WP_PRO_THEME_FIX;
        $logbook_wp_pro_options = self::axil_get_options();
        $condipfix = self::layout_settings();
        $footer_style = get_post_meta(get_the_ID(), $themepfix . "_footer", true);
        $footer_style = (empty($footer_style) || $footer_style == 'default') ? $logbook_wp_pro_options['footer_style'] : $footer_style;
        return $footer_style;
    }

    // footer cal
    public static function axil_footer_cal()
    {
        $logbook_wp_pro_options = self::axil_get_options();
        // $blogwp_footer_column = ($logbook_wp_pro_options['footer_column']) ? $logbook_wp_pro_options['footer_column'] : '4' ;
        if (class_exists('Redux')) {
            $blogwp_footer_column = $logbook_wp_pro_options['footer_column'];
        } else {
            $blogwp_footer_column = '4';
        }

        switch ($blogwp_footer_column) {
            case '1':
                $blogwp_footer_class = 'col-12';
                break;
            case '2':
                $blogwp_footer_class = 'col-sm-6';
                break;
            case '3':
                $blogwp_footer_class = 'col-sm-4';
                break;
            case '4':
                $blogwp_footer_class = 'col-lg-3 col-sm-4';
                break;
            case '6':
                $blogwp_footer_class = 'col-lg-2 col-sm-4';
                break;
            default:
                $blogwp_footer_class = 'col-lg-2 col-sm-4';
                break;
        }
        for ($i = 1; $i <= $blogwp_footer_column; $i++) {
            echo '<div class="' . esc_attr($blogwp_footer_class) . '">';
            dynamic_sidebar('footer-' . $i);
            echo '</div>';
        }
        return;
    }

    public static function axil_footer_logo()
    {
        $logbook_wp_pro_options = self::axil_get_options();
        $blogwp_footer_logo = empty($logbook_wp_pro_options['footer_logo']['url']) ? Helper::get_img('logo-symbol.svg') : $logbook_wp_pro_options['footer_logo']['url'];
        return $blogwp_footer_logo;
    }


}
