<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package logbook-wp-pro
 */
	
// Initialize Widgets
add_action( 'widgets_init', 'axil_register_sidebars' );
if ( !function_exists( 'axil_register_sidebars' ) ) {
		function axil_register_sidebars() {			
		register_sidebar( array(
			'name'          => esc_html__( 'Sidebar', BLOGWP_BLOG_THEME_NAME ),
			'id'            => 'sidebar',
			'before_widget' => '<div id="%1$s" class="widget %2$s widgets-sidebar">',
			'after_widget'  => '</div>',
			'before_title'  => '<div class="widget-title"><h3>',
			'after_title'   => '</h3></div>',
		) );		
		register_sidebar( array(
			'name'          => esc_html__( 'Footer Bottom Right', BLOGWP_BLOG_THEME_NAME ),
			'id'            => 'footer-bottom-right',
			'before_widget' => '<div id="%1$s" class="widget %2$s widgets-sidebar">',
			'after_widget'  => '</div>',
			'before_title'  => '<div class="axil-widget-title"><h3>',
			'after_title'   => '</h3></div>',
		) );
		$logbook_wp_pro_options 	= Helper::axil_get_options();	
		$blogwp_widget_titles = array(
			'1' => esc_html__( 'Footer 1', BLOGWP_BLOG_THEME_NAME ),
			'2' => esc_html__( 'Footer 2', BLOGWP_BLOG_THEME_NAME ),
			'3' => esc_html__( 'Footer 3', BLOGWP_BLOG_THEME_NAME ),
			'4' => esc_html__( 'Footer 4', BLOGWP_BLOG_THEME_NAME ),
			'5' => esc_html__( 'Footer 5', BLOGWP_BLOG_THEME_NAME ),
			'6' => esc_html__( 'Footer 6', BLOGWP_BLOG_THEME_NAME ),			
		);
		for ( $i = 1; $i <= $logbook_wp_pro_options['footer_column']; $i++ ) {
			register_sidebar( array(
				'name'          => $blogwp_widget_titles[$i],
				'id'            => 'footer-'. $i,
				'before_widget' => '<div id="%1$s" class="widget footer-widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<h3 class="footer-widget-title">',
				'after_title'   => '</h3>',
			) );		
		}

	}
}
