<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package logbook-wp-pro
 */

$opt_name = LOGBOOK_WP_PRO_THEME_PREFIX . '_options';
Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Error Page Settings', BLOGWP_BLOG_THEME_NAME),
        'id' => 'error_srttings_section',
        'heading' => esc_html__('Error Page Settings', BLOGWP_BLOG_THEME_NAME),
        'icon' => 'el el-error-alt',
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'error_title_text',
                'type' => 'text',
                'title' => esc_html__('Error Page Title', BLOGWP_BLOG_THEME_NAME),
                'default' => esc_html__('OOPS! THAT PAGE CAN’T BE FOUND.', BLOGWP_BLOG_THEME_NAME),
            ),
            array(
                'id' => 'error_sub_text',
                'type' => 'text',
                'title' => esc_html__('Error Page Sub Title', BLOGWP_BLOG_THEME_NAME),
                'default' => '',
            ),
            array(
                'id' => 'error_buttontext',
                'type' => 'text',
                'title' => esc_html__('Button Text', BLOGWP_BLOG_THEME_NAME),
                'default' => esc_html__('GO TO HOME PAGE', BLOGWP_BLOG_THEME_NAME),
            )
        )
    )
);

