<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package logbook-wp-pro
 */

global $product;
$logbook_wp_pro_options 	= Helper::axil_get_options();
do_action( 'woocommerce_product_meta_start' );
$cats_html = wc_get_product_category_list( $product->get_id(), ', ', '<div class="product-meta"><span>' . _n( 'Category:', 'Categories:', count( $product->get_category_ids() ), BLOGWP_BLOG_THEME_NAME ) . '</span> ', '</div>' );
$tags_html = wc_get_product_tag_list( $product->get_id(), ', ', '<div class="product-meta"><span>' . _n( 'Tag:', 'Tags:', count( $product->get_tag_ids() ), BLOGWP_BLOG_THEME_NAME ) . '</span> ', '</div>' );
if ( $logbook_wp_pro_options['wc_cats'] ) {
	echo wp_kses_post( $cats_html );
}
if ( $logbook_wp_pro_options['wc_tags'] ) {
	echo wp_kses_post( $tags_html );
}
do_action( 'woocommerce_product_meta_end' ); 